Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Messaging_PolicyValueC.cpp File Reference

`#include "Messaging_PolicyValueC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/PortableInterceptor.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "tao/ClientRequestInfo_i.h"`
`#include "tao/ClientInterceptorAdapter.h"`
`#include "Messaging_PolicyValueC.i"`

Include dependency graph for Messaging_PolicyValueC.cpp:

## Defines
#define | _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CS_
#define | __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CS_
#define | _MESSAGING_POLICYVALUESEQ_CS_
## Functions
CORBA::TypeCode | _tc_TAO_tc_Messaging_PolicyValue (CORBA::tk_struct, sizeof(_oc_Messaging_PolicyValue),(char *)&_oc_Messaging_PolicyValue, 0, sizeof(Messaging::PolicyValue))
| TAO_NAMESPACE_TYPE (CORBA::TypeCode_ptr) TAO_NAMESPACE_BEGIN(Messaging) TAO_NAMESPACE_DEFINE(
CORBA::TypeCode | _tc_TAO_tc_Messaging_PolicyValueSeq (CORBA::tk_alias, sizeof(_oc_Messaging_PolicyValueSeq),(char *)&_oc_Messaging_PolicyValueSeq, 0, sizeof(Messaging::PolicyValueSeq))
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValue *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValue *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValue *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const Messaging::PolicyValueSeq &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, Messaging::PolicyValueSeq *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, Messaging::PolicyValueSeq *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const Messaging::PolicyValueSeq *&_tao_elem)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Messaging::PolicyValue::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Messaging::PolicyValue::_tao_seq_Octet &_tao_sequence)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const Messaging::PolicyValueSeq &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, Messaging::PolicyValueSeq &_tao_sequence)
## Variables
const CORBA::Long | _oc_Messaging_PolicyValue []
const CORBA::Long | _oc_Messaging_PolicyValueSeq []

## Define Documentation

#define __TAO_UNBOUNDED_SEQUENCE_MESSAGING_POLICYVALUESEQ_CS_

#define _MESSAGING_POLICYVALUE__TAO_SEQ_OCTET_CS_

#define _MESSAGING_POLICYVALUESEQ_CS_

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_Messaging_PolicyValue | ( | CORBA::tk_struct | ,
|  | sizeof(_oc_Messaging_PolicyValue) | ,
|  | (char *)& | _oc_Messaging_PolicyValue,
|  | 0 | ,
|  | sizeof(Messaging::PolicyValue) |
| ) | `[static]`

CORBA::TypeCode _tc_TAO_tc_Messaging_PolicyValueSeq | ( | CORBA::tk_alias | ,
|  | sizeof(_oc_Messaging_PolicyValueSeq) | ,
|  | (char *)& | _oc_Messaging_PolicyValueSeq,
|  | 0 | ,
|  | sizeof(Messaging::PolicyValueSeq) |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValueSeq & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq * | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq & | _tao_elem
| ) |

void operator<<= | ( | CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue * | _tao_elem
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValueSeq & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | Messaging::PolicyValue::_tao_seq_Octet & | _tao_sequence
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValueSeq *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | const Messaging::PolicyValue *& | _tao_elem
| ) |

CORBA::Boolean operator>>= | ( | const CORBA::Any & | _tao_any,
|  | Messaging::PolicyValue *& | _tao_elem
| ) |

TAO_NAMESPACE_TYPE | ( | CORBA::TypeCode_ptr |  | ) |

## Variable Documentation

const CORBA::Long _oc_Messaging_PolicyValue[]`[static]`

const CORBA::Long _oc_Messaging_PolicyValueSeq[]`[static]`